import * as testdeckCore from '@testdeck/core';
import * as testdeckSrc from '@testdeck/vitest';
export * from '@testdeck/vitest';
import * as vitestSrc from 'vitest';
export { defineConfig } from 'vitest/config';

declare const testdeck: typeof testdeckSrc;
declare const vitest: typeof vitestSrc;
declare const chai: Chai.ChaiStatic;

declare const describe: testdeckCore.SuiteDecorator;
declare const does: testdeckCore.TestDecorator;
declare const it: testdeckCore.TestDecorator;
declare const expect: Chai.ExpectStatic;
declare const should: () => Chai.Should;
declare const use: (fn: Chai.ChaiPlugin) => Chai.ChaiStatic;
declare const util: Chai.ChaiUtils;
declare const assert: Chai.AssertStatic;

export { assert, chai, describe, does, expect, it, should, testdeck, use, util, vitest };
